Subject: [AVT] case dependance of mime names/parameter

From: [email-masked]
Date: Mon, 15 Oct 2001 14:18:39 +0200

Hi all,

can anyone express a (preferably documented) opinion
about mime names and parameters
regarding case (upper and lower case)

* specifically what about: "StreamType", shall it be streamtype ?

* are senders supposed to always respect the case

* should receivers ignore the case anyway ?

*does it depend on usage (for example in SDP) ?

Regards,

Philippe Gentric
Software architect
Philips Digital Networks - MP4Net
51 rue Carnot B.P. 301
92156 Suresnes FRANCE
tel: +33(0)147283740
fax: +33(0)147283725
[email-masked]
http://www.mpeg-4.philips.com

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Mon, 15 Oct 2001 10:22:40 -0400

Philippe,

MIME types and parameter names are case insensitive (RFC 2045, section 5.1).

Colin

---

From: Jonathan Sergent <[email-masked]>
Date: Mon, 15 Oct 2001 19:22:41 -0700

/// [email-masked]:
 ] can anyone express a (preferably documented) opinion
 ] about mime names and parameters
 ] regarding case (upper and lower case)
 ] 
 ] * specifically what about: "StreamType", shall it be streamtype ?
 ] 
 ] * are senders supposed to always respect the case
 ] 
 ] * should receivers ignore the case anyway ?
 ] 
 ] *does it depend on usage (for example in SDP) ?

I was wondering this too.  I found this in RFC 2045, section 2:

   All media type values, subtype values, and
   parameter names as defined are case-insensitive.  However, parameter
   values are case-sensitive unless otherwise specified for the specific
   parameter.

However, I am not certain if this is the right reference.